# IdentityConstructorOptions | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- IdentityConstructorOptions

## Index

### Properties

- address
- defaultUsername
- keyPair
- profile
- usernames

## Properties

### address

address: string

- Defined in packages/keychain/src/identity.ts:19

### Optional defaultUsername

defaultUsername: undefined | string

- Defined in packages/keychain/src/identity.ts:21

### keyPair

keyPair: IdentityKeyPair

- Defined in packages/keychain/src/identity.ts:18

### Optional profile

profile: Profile

- Defined in packages/keychain/src/identity.ts:22

### Optional usernames

usernames: string[]

- Defined in packages/keychain/src/identity.ts:20

Generated using TypeDoc